summaryrefslogtreecommitdiff
path: root/dev-python/spur
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-10-11 18:41:39 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-10-11 18:41:39 +0000
commitafa28f4c8259bf21236fc8d40f3dbfb6d30b398d (patch)
treec3503f22ed4b99c27a6e595573b263b12b11e681 /dev-python/spur
parent9c5af382e7e33a34af95c76dd5fe41b4c9a219cc (diff)
downloadbaldeagleos-repo-afa28f4c8259bf21236fc8d40f3dbfb6d30b398d.tar.gz
baldeagleos-repo-afa28f4c8259bf21236fc8d40f3dbfb6d30b398d.tar.xz
baldeagleos-repo-afa28f4c8259bf21236fc8d40f3dbfb6d30b398d.zip
Updating liguros repo
Diffstat (limited to 'dev-python/spur')
-rw-r--r--dev-python/spur/Manifest1
-rw-r--r--dev-python/spur/spur-0.3.22.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-python/spur/Manifest b/dev-python/spur/Manifest
index 76abd60b1508..20627fdfee42 100644
--- a/dev-python/spur/Manifest
+++ b/dev-python/spur/Manifest
@@ -1 +1,2 @@
DIST spur.py-0.3.21.gh.tar.gz 17666 BLAKE2B 0628417e6b5f4c744041693445113a59daac4f89776bc39849a2e1fab21826f3c6783bf72bf528a262f05df08d0680044e69f119c367f29ca4d6f0df554fa49d SHA512 7cd49690b989952707629fad5682201dc7f00865d8120da9e84eb9046e7a8fe7b7183785b4c2eac996d2743025cc09508b0ceb7b762b7bddb5447ecbc42d00a4
+DIST spur.py-0.3.22.gh.tar.gz 17760 BLAKE2B 676484e73fa38ebcd3bcc2ace21853590b652d0ec2dc31f7635a55a8bbb213e559fbdd7b70e545091e7e28e6000862ef45eba748e13c546b765756b41c352028 SHA512 36518a080d3fff97fdab5af8e7e3045c58ad6b1acad9fb79e11da688d484565ee4d50868f3c3ee10299e135f2c01bd35348256df7bb1b4f6200aa175cafc7f0a
diff --git a/dev-python/spur/spur-0.3.22.ebuild b/dev-python/spur/spur-0.3.22.ebuild
new file mode 100644
index 000000000000..f08c37fc2770
--- /dev/null
+++ b/dev-python/spur/spur-0.3.22.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+inherit distutils-r1
+
+MY_P=spur.py-${PV}
+DESCRIPTION="Run commands locally or over SSH using the same interface"
+HOMEPAGE="https://github.com/mwilliamson/spur.py"
+SRC_URI="
+ https://github.com/mwilliamson/spur.py/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/paramiko[${PYTHON_USEDEP}]"
+
+distutils_enable_tests nose
+
+src_prepare() {
+ # TODO: set up a local SSH server?
+ rm tests/{ssh_tests,testing}.py || die
+
+ # does random guesswork on top of exceptions that stopped working
+ # in py3.8; this only causes a different exception to be raised
+ # https://github.com/mwilliamson/spur.py/issues/85
+ sed -e 's:spawning_command_that_uses_path_env_variable_asks_if_command_is_installed:_&:' \
+ -e 's:spawning_non_existent_command_raises_specific_no_such_command_exception:_&:' \
+ -e 's:using_non_existent_command_and_correct_cwd_raises_no_such_command_exception:_&:' \
+ -i tests/process_test_set.py || die
+
+ distutils-r1_src_prepare
+}